#! /bin/sh
#
#   poko.sh -- ぽこぽこ
#

curtty=`tty | sed 's|/|-|g'`
if [ ! -w /tmp/poko-$curtty.txt ]; then
	touch /tmp/poko-$curtty.txt
fi
pokochar=`sed -n '1p' < /tmp/poko-$curtty.txt`
case "x${pokochar}x" in
	xO*)   pokochar='〇' ;;
	xo*)   pokochar='O ' ;;
	x。*)  pokochar='o ' ;;
	x.*)   pokochar='。' ;;
	*)     pokochar='. ' ;;
esac
echo -n "$pokochar "
echo "$pokochar" > /tmp/poko-$curtty.txt

exit 0

# EOF
